
function setACE(el, binding, vnode) {
  const vm = vnode.context
  if (vm.$ldpOptions && vm.$ldpOptions.checkAce) {
    if (vm.$ldpOptions.checkAce(el, binding, vnode)) {
      return
    }
  }
  const acl = vm.$route.meta.acl
  let aceCodes = {}
  // 判断是否绑定的value 如果有则使用value值
  if (binding.value) {
    // 判断是否有逗号 如果有逗号 按照逗号分隔成数组 否则直接使用
    if (binding.value.indexOf(',') !== -1) {
      aceCodes = binding.value.split(',')
    } else {
      aceCodes = binding.value
    }
  } else {
    // 判断是否有参数
    if (binding.modifiers) {
      aceCodes = Object.keys(binding.modifiers)
    }
    if (binding.arg) {
      aceCodes.push(binding.arg)
    }
  }
  if (typeof aceCodes === 'object') {
    for (const key in aceCodes) {
      const item = aceCodes[key]
      if (isNoAccess(acl, item)) {
        el.style.display = 'none'
        if (el.parentNode) {
          el.parentNode.removeChild(el)
        }
        return
      }
    }
  } else {
    if (isNoAccess(acl, aceCodes)) {
      el.style.display = 'none'
      if (el.parentNode) {
        el.parentNode.removeChild(el)
      }
      return
    }
  }
}
// 判断是否没有有权限
function isNoAccess(acl, aceCode) {
  // 判断是否有元素权限代码
  if (!aceCode) return false
  if (!acl[aceCode]) {
    return true
  }
  // 判断元素权限代码是否有操作权限
  if (acl[aceCode].operate !== '1') {
    return true
  }
  return false
}

export default {
  inserted(el, binding, vnode) {
    // setACE(el, binding, vnode)
  }
}
