/* eslint-disable */
import FormElements from './packages/form/elements/index.js'

import LdpCollapse from './packages/collapse'
import LdpForm from './packages/form/index'
import LdpFormSearch from './packages/form-search'
import LdpFormSection from './packages/form/section'
import LdpTable from './packages/table'
import LdpSelectdialog from './packages/selectdialog'
import LdpEditable from './packages/editable'

import LdpBpm from './packages/bpm'
import LdpAttachmentTable from './packages/attachment-table'

import LdpPageBill from './pages/bill'
import LdpPageForm from './pages/form'
import LdpPageList from './pages/list'
import LdpPageOnline from './pages/online'

import LdpAce from './directive/ace/index'
// 基础表单组件
const formComponents = [
  LdpForm,
  ...Object.values(FormElements)
]

// 全局通用组件
const gComponents = [
  LdpForm,
  LdpFormSection,
  LdpFormSearch,
  LdpTable,
  LdpSelectdialog,
  LdpCollapse,
  LdpEditable,
  LdpBpm,
  LdpAttachmentTable,
  LdpPageBill,
  LdpPageForm,
  LdpPageList,
  LdpPageOnline
]
const install = function(Vue, options = {}) {
  gComponents.forEach(component => {
    Vue.component(component.name, component)
  })

  formComponents.forEach(component => {
    Vue.component(component.name, component)
  })
  Vue.prototype.$ldpOptions = Object.assign({
    dataFormat: {
      select: 'split',
      checkboxGroup: 'split',
      checkbox: 'number',
      switch: 'number',
      radio: 'number'
    }
  }, options)
  
  Vue.use(LdpAce)
  Vue.prototype.$_Vue = Vue
}
/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}

import TableMixin from './mixins/DataTableMixin'

export const DataTableMixin = TableMixin
const pkJosn = require('../package.json')
export default {
  version: pkJosn.version,
  install,
  LdpForm,
  LdpTable,
  LdpPageBill,
  LdpPageForm
}
