/**
 * 混入到表单子项
 */

export default {
  inheritAttrs: false,
  props: {
    // 禁用
    disabled: Boolean,

    // 表单的值
    value: [String, Number, Object, Array],

    // 表单组件的Props
    props: {
      type: Object,
      default: function() {
        return {}
      }
    },
    // 表单配置对象
    config: {
      type: Object,
      default: function() {
        return {}
      }
    }
  },
  data() {
    return {
      val: this.value
    }
  },
  watch: {
    value(val) {
      if (val === this.val) return
      this.val = val
    }
  },
  computed: {
    attrs() {
      return {
        ...this.props,
        disabled: this.disabled,
        placeholder: this.config.placeholder || this.props.placeholder,
        clearable: this.config.clearable || this.props.clearable,
        size: this.config.size || this.props.size
      }
    },
    onEvents() {
      const obj = {
        input: this.handleInput
      }
      const events = this.config.events
      if (!events) {
        return Object.assign(obj, {
          'change': this.change
        }, this.$listeners)
      }

      Object.keys(events).forEach(event => {
        if (event === 'change') {
          obj.change = () => {
            this.change()
            events.change()
          }
        } else {
          obj[event] = events[event]
        }
      })
      return Object.assign({}, obj, this.$listeners)
    }
  },
  methods: {
    handleInput(val) {
      this.$emit('input', val)
    },
    change(value) {
      this.$emit('form-item-change', this.config.key, value)
    }
  }
}

