export const BPM_STATUS = {
  failure: -3, // 审批未通过
  rejected: -2, // 打回
  unSubmited: -1, // 未提交
  auditing: 0, // 审批中
  success: 1 // 审批通过
}

/**
 * 判断流程是否可提交
 * @param {*} status 状态值
 * @returns Boolean
 */
export function isCanSubmit(status) {
  return [BPM_STATUS.failure, BPM_STATUS.rejected, BPM_STATUS.unSubmited].includes(status)
}

/**
 * 判断流程是否可删除
 * @param {*} status 状态值
 * @returns Boolean
 */
export function isCanDelete(status) {
  return ![BPM_STATUS.auditing, BPM_STATUS.success].includes(status)
}
/**
 * 判断流程是否审批中
 * @param {*} status 状态值
 * @returns Boolean
 */
export function isAuditing(status) {
  return BPM_STATUS.auditing === status
}

/**
 * 判断流程是否审批通过
 * @param {*} status 状态值
 * @returns Boolean
 */
export function isApproved(status) {
  return BPM_STATUS.success === status
}

/**
 * 判断流程是否可以查看
 * @param {*} status 状态值
 * @returns Boolean
 */
export function isCanLookup(status) {
  return [BPM_STATUS.failure, BPM_STATUS.rejected, BPM_STATUS.auditing, BPM_STATUS.success].includes(status)
}

